# Generated from process_metrics-0.1.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name process_metrics

Name: rubygem-%{gem_name}
Version: 0.1.11
Release: 1%{?dist}
Summary: Process metrics
License: MIT
URL: https://github.com/lucasuyezu/process_metrics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry-debugger) >= 0.2
# BuildRequires: rubygem(pry-debugger) < 1
# BuildRequires: rubygem(pry-debugger) >= 0.2.2
# BuildRequires: rubygem(minitest) >= 5.3
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.3.1
BuildArch: noarch

%description
A gem that provides utilities to measure a process and its sub tasks.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.11-1
- Initial package
